#ifndef _WATCHDOG_h_
#define _WATCHDOG_h_

extern int watchdog_feed_flag;

extern int watchdog_add_item(const char *name, uint32_t *id, uint32_t period);
extern int watchdog_feed(uint32_t id);
extern int watchdog_remove_item(uint32_t id);
extern int watchdog_init(void);
extern int watchdog_exit(void);

extern int watchdog_test(void);

extern void watchdog_feed_mainloop(void);
extern void watchdog_feed_protect(void);
extern void watchdog_reset_cpu(int i);
extern void watchdog_feed_mainloop_50s(void);


#endif


